# グループ

コースの**グループ**ツールの動作について。

これらの設定には、**管理 > 設定 > グループ**からアクセスできます。このカテゴリには**3つの設定**が含まれており、以下にプラットフォームの設定フィクスチャ（`SettingsCurrentFixtures.php`）に記載されているタイトルとコメントとともにリストアップされています。

> コード内の変数名は等幅フォントで表示されています。APIを通じてスクリプトを作成する場合や、[`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml)を編集してこれらの設定をグローバルレベルで変更する必要がある場合に使用してください。

## 設定

### `allow_group_categories`

**グループカテゴリ**

教師がグループツール内でカテゴリを作成することを許可しますか？

*デフォルト: `false`*

### `hide_course_group_if_no_tools_available`

**ツールがない場合はコースグループを非表示**

グループ内に利用可能なツールがなく、ユーザーがそのグループ自体に登録されていない場合、グループリストからそのグループを完全に非表示にします。

*デフォルト: `false`*

### `show_groups_to_users`

**ユーザーにクラスを表示**

ユーザーにクラスを表示します。クラスは、ユーザーのグループをセッションやコースに直接登録/登録解除できる機能で、管理の手間を軽減します。このオプションを選択すると、学習者はソーシャルネットワークインターフェースを通じて自分がどのクラスに属しているかを確認できるようになります。

*デフォルト: `false`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/2.x-ja/gaido-1/admin-guide/platform-settings/group-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
